## noris-nrpe-plugin 1.0-12

=== Makefile ===
build:

install:
	 $(MAKE) DESTDIR=$(CURDIR)/debian/noris-nrpe-plugin
	cp -r usr/ etc/ ${DESTDIR}/

clean:
	rm -rf usr/share/man
	rm -f *-stamp

=== debian/changelog ===
noris-nrpe-plugin (1.0-12) lenny; urgency=low

  * RT#548275 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 15 Oct 2009 11:31:30 +0200

noris-nrpe-plugin (1.0-11) lenny; urgency=low

  * replace Makefie 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 15 Oct 2009 11:08:30 +0200

noris-nrpe-plugin (1.0-10) lenny; urgency=low

  * 64bit + sources build 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 15 Oct 2009 10:48:20 +0200

noris-nrpe-plugin (1.0-9) lenny; urgency=low

  * corrected rules , Build from 64bit

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 15 Oct 2009 10:37:06 +0200

noris-nrpe-plugin (1.0-8) lenny; urgency=low

  * added plugin from monitor1 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 17:07:01 +0200

noris-nrpe-plugin (1.0-7) lenny; urgency=low

  * corrected control file 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 15:44:37 +0200

noris-nrpe-plugin (1.0-6) lenny; urgency=low

  * next try

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 15:40:07 +0200

noris-nrpe-plugin (1.0-5) lenny; urgency=low

  * corrected rules file 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 15:18:34 +0200

noris-nrpe-plugin (1.0-4) lenny; urgency=low

  * added check_nrpe1.cfg 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 14:55:56 +0200

noris-nrpe-plugin (1.0-3) lenny; urgency=low

  * diesmal mit etc-Verzeichnis ;) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 14:39:16 +0200

noris-nrpe-plugin (1.0-2) lenny; urgency=low

  * 4 64bit 

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 14:19:01 +0200

noris-nrpe-plugin (1.0-1) lenny; urgency=low

  * Initial release. (Closes: RT#532766)

 -- Katharina Drexel <katharina.drexel@noris.de>  Tue, 29 Sep 2009 14:00:20 +0200

=== debian/control ===
Source: noris-nrpe-plugin
Section: noris/net
Priority: optional
Maintainer: Katharina Drexel alias Ben Bell <bjb@debian.org>
Standards-Version: 1.0-7

Package: noris-nrpe-plugin
Depends: netsaint | nagios | nagios3
Conflicts: netsaint-nrpe-plugin
Replaces: netsaint-nrpe-plugin
Architecture: amd64
Description: NetSaint remote plugin executor (plugin)
 nrpe is a server and plugin pair to allow NetSaintplugins to be executed
 on hosts other than the main NetSaint server. Possible uses include
 checking the load and disk usage of remote machines, or checking network
 connectivity from a remote machine's perspective.
 .
 This is the plugin portion which is run like any other NetSaint plugin in
 order to collect information from remote machines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 
	rm -f *-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-nrpe-plugin
	# $(MAKE) DESTDIR=$(CURDIR)/debian/noris-nrpe-plugin install
	make install DESTDIR=`pwd`/debian/noris-nrpe-plugin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
